#!/bin/bash
product_list_file=$1
echo "Starting preprocessor test"

while read product; do
    echo $product
    # preprocessing the images and save the results in the result bucket
    docker exec -e OS_PASSWORD=$OS_PASSWORD -i $(docker ps -qf "name=emg-pvs_preprocessor") \
    preprocessor preprocess --config-file testing/testing_preprocessor_config.yml $product < "$product_list_file"
    

done < "$product_list_file"
